<?PHP
/**
 * This file runs the search.
 *
 * @file
 *
 * @author Joshua Ramon Enslin <joshua@jrenslin.de>
 */

// Include functions and settings.

require_once __DIR__ . "/inc/functions.php";
require_once __DIR__ . "/inc/search.php";

// Ensure working environment for frontend.

ensureEnvironment();
$pages = loadPublicPages();           // Load overview of pages.

/*
 * Load data.
 */

/*
 * Output
 */

echo printPublicHead($settings, "search", $settings['pageTitle'], $settings['logo']);
echo printPublicHeader($settings['pageTitle']);
echo printStaticPagePart("banner", "header"); // Print aside (if need be)

echo generatePublicNav($pages);

echo '
<div id="mainWrapper">
';

// Print main content
echo '
    <main>';

if (!isset($_GET['q'])) {

    echo '
    <h1><span class="toTranslate" data-content="Search"></span></h1>
    <form action="" method="GET">
        <input type="search" name="q" />
    </form>
    ';

}
else {

    echo '<h1><span class="toTranslate" data-content="SearchingFor"></span> "' . $_GET['q'] . '"</h1>';
    $resultsInPages = searchInPages($_GET['q']);
    print_r($resultsInPages);

}

echo '
    </main>
';

echo printStaticPagePart("aside", "aside"); // Print aside (if need be)

echo '
</div>';

echo printStaticPagePart("footer", "footer"); // Print footer (if need be)

echo printPublicEnd();

?>
